Bug 14318 - iDreamBooks doesn't work when Koha is using https
Summary: iDreamBooks doesn't work when Koha is using https
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14345
  Show dependency treegraph
 
Reported: 2015-06-02 17:05 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14318 - iDreamBooks doesn't work when Koha is using https (6.49 KB, patch)
2015-06-04 11:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14318 - iDreamBooks doesn't work when Koha is using https (6.72 KB, patch)
2015-06-05 15:57 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 14318 - iDreamBooks doesn't work when Koha is using https (6.79 KB, patch)
2015-06-06 17:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-06-02 17:05:09 UTC
If a Koha server is configured to run over SSL, all iDreamBooks content is blocked due to the fact that a secure page is requesting an insecure endpoint. This is due to the fact that the urls for iDreamBooks use http and not https. A simple fix would be to switch them to https since browsers have to qualms about loading a secure data endpoint from an insecure one.
Comment 1 Tomás Cohen Arazi 2015-06-02 20:22:34 UTC
Does iDreamBooks provide a HTTPS service too?
Comment 2 Tom Misilo 2015-06-03 00:38:50 UTC
This is an example from their site using SSL.

https://idreambooks.com/api/books/show_features.xml?q=9780385349949&key=example_key
Comment 3 Kyle M Hall 2015-06-04 11:14:19 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-06-05 15:57:51 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-06-06 17:23:57 UTC
Created attachment 39946 [details] [review]
[PASSED QA] Bug 14318 - iDreamBooks doesn't work when Koha is using https

If a Koha server is configured to run over SSL, all iDreamBooks content
is blocked due to the fact that a secure page is requesting an insecure
endpoint. This is due to the fact that the urls for iDreamBooks use http
and not https. A simple fix would be to switch them to https since
browsers have to qualms about loading a secure data endpoint from an
insecure one.

Test Plan:
1) Enable iDreamBooks
2) Set up your OPAC to use https
3) Verify iDreamBooks content continues to work

Note: tested Chrome and IE, so that the IE change would be validated.
      Discovered isbn semi-colon issue that is beyond scope of this bug.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-06-07 22:03:01 UTC
Patch pushed to master.

Thanks Kyle!